#define _WIN32_DCOM

#include <ChargeurCOM.h>
#include <windows.h>

ChargeurCOM::ChargeurCOM(const ModeDemarrage & m )
	throw(ModeDemarrageInvalide,ErreurChargement)
{
   switch (m)
   {
   case ApartmentThreaded:
      if (FAILED (::CoInitializeEx(0, COINIT_APARTMENTTHREADED)))
         throw ErreurChargement ();
      break;
   case MultiThreaded:
      if (FAILED (::CoInitializeEx(0, COINIT_MULTITHREADED)))
         throw ErreurChargement ();
      break;
   default:
      throw ModeDemarrageInvalide();
   }
}

ChargeurCOM::~ChargeurCOM()
{
   ::CoUninitialize();
}
