#ifndef STD_CREATE_INSTANCE_H
#define STD_CREATE_INSTANCE_H
#include <unknwn.h>
template <class T>
HRESULT StdCreateInstance (IUnknown *pUnkOuter,
                           REFIID riid,
                           void **ppv)
{
   if (pUnkOuter != 0)
   {
      return CLASS_E_NOAGGREGATION;
   }
   T *p = new T();
   if (p == 0)
      return E_OUTOFMEMORY;
   HRESULT hr = p->QueryInterface (riid, ppv);
   p->Release ();
   return hr;
}
#endif
