#include "COMSomme.h"
#include "GestionnaireDeVerrou.h"
#include <ios>
#include <iostream>
HRESULT __stdcall COMSomme::QueryInterface (REFIID riid, void **ppv)
{
   if (riid == IID_IUnknown)
   {
      *ppv = static_cast<IUnknown *> (static_cast<ISomme *> (this));
   }
   else if (riid == IID_ISomme)
   {
      *ppv = static_cast<ISomme *> (this);
   }
   else
   {
      *ppv = 0;
      return E_NOINTERFACE;
   }
   AddRef ();
   return S_OK;
}

// Pour ISomme
HRESULT __stdcall COMSomme::Somme (int x, int y, int *Resultat)
{
   *Resultat = x + y;
   return S_OK;
}


