#ifndef COMSOMME_H
#define COMSOMME_H

#include "IUnknownImpl.h"
#include "../Commun/Somme_h.h"

// ----------------------------------------------------
// Class COMSomme : implmentation encapsule de ISomme
// ----------------------------------------------------
class COMSomme : virtual public IUnknownImpl, virtual public ISomme
{
public:
   // Pour IUnknown
   unsigned long __stdcall AddRef () { return IUnknownImpl::AddRef (); }
   unsigned long __stdcall Release () { return IUnknownImpl::Release (); }
   HRESULT __stdcall QueryInterface (REFIID riid, void **ppv);
   // Pour ISomme
   HRESULT __stdcall Somme (int x, int y, int *Resultat);
   // constructeur et destructeur 
   COMSomme () : IUnknownImpl (), ISomme () { }
   ~COMSomme () {}
};
#endif // !defined COMSOMME_H
